package com.sjkj.appthreefloor_tsgz.bean;

import java.util.List;

public class BannerDataBean {
    /**
     * total : 1
     * list : [{"searchValue":null,"createBy":null,"createTime":"2022-06-23 10:04:13","updateBy":null,"updateTime":null,"remark":null,"params":{},"id":"8a8e7e544a2a4aec882da85d857ee40a","name":"eva","path":"http://119.3.201.155:8081/group1/M00/00/01/wKgA3GKzyheAP9KcAAALwPOUTJc260.jpg","ishavelink":"1","linkaddress":"https://www.baidu.com/","createName":null,"updateName":null,"dataStatus":"0"}]
     */

    private int total;
    /**
     * searchValue : null
     * createBy : null
     * createTime : 2022-06-23 10:04:13
     * updateBy : null
     * updateTime : null
     * remark : null
     * params : {}
     * id : 8a8e7e544a2a4aec882da85d857ee40a
     * name : eva
     * path : http://119.3.201.155:8081/group1/M00/00/01/wKgA3GKzyheAP9KcAAALwPOUTJc260.jpg
     * ishavelink : 1
     * linkaddress : https://www.baidu.com/
     * createName : null
     * updateName : null
     * dataStatus : 0
     */

    private List<ListBean> list;

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public static class ListBean {
        private String searchValue;
        private String createBy;
        private String createTime;
        private String updateBy;
        private String updateTime;
        private String remark;
        private String id;
        private String name;
        private String path;
        private String ishavelink;
        private String linkaddress;
        private String createName;
        private String updateName;
        private String dataStatus;

        public String getSearchValue() {
            return searchValue;
        }

        public void setSearchValue(String searchValue) {
            this.searchValue = searchValue;
        }

        public String getCreateBy() {
            return createBy;
        }

        public void setCreateBy(String createBy) {
            this.createBy = createBy;
        }

        public String getCreateTime() {
            return createTime;
        }

        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }

        public String getUpdateBy() {
            return updateBy;
        }

        public void setUpdateBy(String updateBy) {
            this.updateBy = updateBy;
        }

        public String getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(String updateTime) {
            this.updateTime = updateTime;
        }

        public String getRemark() {
            return remark;
        }

        public void setRemark(String remark) {
            this.remark = remark;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getPath() {
            return path;
        }

        public void setPath(String path) {
            this.path = path;
        }

        public String getIshavelink() {
            return ishavelink;
        }

        public void setIshavelink(String ishavelink) {
            this.ishavelink = ishavelink;
        }

        public String getLinkaddress() {
            return linkaddress;
        }

        public void setLinkaddress(String linkaddress) {
            this.linkaddress = linkaddress;
        }

        public String getCreateName() {
            return createName;
        }

        public void setCreateName(String createName) {
            this.createName = createName;
        }

        public String getUpdateName() {
            return updateName;
        }

        public void setUpdateName(String updateName) {
            this.updateName = updateName;
        }

        public String getDataStatus() {
            return dataStatus;
        }

        public void setDataStatus(String dataStatus) {
            this.dataStatus = dataStatus;
        }
    }
}
